%define name	ontv
%define version	2.2.0
%define release %mkrel 2

Name: %{name}
Summary: TV listings for the GNOME panel
Version: %{version}
Release: %{release}
Source: http://johan.svedberg.com/projects/coding/ontv/download/%{name}-%{version}.tar.bz2
URL: http://johan.svedberg.com/projects/coding/ontv/
License: GPL
Group: Graphical desktop/GNOME
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: GConf2
BuildRequires: perl-XML-Parser
BuildRequires: pygtk2.0-devel
BuildRequires: gnome-python gnome-python-extras
Requires: GConf2 gnome-python-applet xmltv
Requires: gnome-python-gconf
Requires: flumotion
Requires: python-pyxml
Requires: gnome-python-gnomevfs
Requires: python-celementtree
Requires: dbus-python

%description
OnTV is a GNOME Applet which uses XMLTV files to monitor current and upcoming
TV programs.

%prep
%setup -q
perl -pi -e "s#gtk.thread#gtk.gdk.thread#g" ontv/Main.py ontv/XMLTVFile.py

%build
%configure2_5x --libexecdir=%{_prefix}/libexec

%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall libexecdir=%{buildroot}%{_prefix}/libexec

%find_lang %name

%post
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/%name.schemas > /dev/null

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog FAQ README NEWS THANKS TODO
%{_sysconfdir}/gconf/schemas/*
#{_libdir}/%name
%{_prefix}/libexec/%name
%{_libdir}/bonobo/servers/*
%{_libdir}/python*/site-packages/%name
%{_datadir}/%name
%{_datadir}/pixmaps/*
%{_datadir}/gnome-2.0/ui/*.xml

%changelog
* Sun Aug 13 2006 Austin Acton <austin@mandriva.org> 2.2.0-2mdv2007.0
- requires dbus-python

* Sun Aug 13 2006 Austin Acton <austin@mandriva.org> 2.2.0-1mdv2007.0
- 2.2.0

* Fri Jul 21 2006 Guillaume Bedot <littletux@mandiva.org> 2.0.0-2mdv2007.0
- changed libexecdir, otherwise it doesn't work anymore on cooker...
- fix warning about threads which also prevents ontv from working.

* Wed May 24 2006 Austin Acton <austin@mandriva.org> 2.0.0-1mdk
- New release 2.0.0

* Fri Dec 30 2005 Austin Acton <austin@mandriva.org> 1.8.0-1mdk
- New release 1.8.0

* Tue Oct 11 2005 Austin Acton <austin@mandriva.org> 1.6.0-2mdk
- add requires (thanks Colin Guthrie)

* Thu Sep 08 2005 Austin Acton <austin@mandriva.org> 1.6.0-1mdk
- New release 1.6.0

* Wed Aug 3 2005 Austin Acton <austin@mandriva.org> 1.4.2-1mdk
- source URL
- 1.4.2

* Thu Jul 28 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.2-2mdk
- Fix BuildRequires

* Mon Jul 11 2005 Austin Acton <austin@mandriva.org> 1.2-1mdk
- initial package
